# Select FX

## Importing

First import it to your app module or any submodule as you wish

```typescript
import { pgSelectfx } from '../@pages/components/cs-select/select.module';
@NgModule({
  imports: [pgSelectfx,...]
})
export class AppModule(){}
```

## How to use&#x20;

Basic Select with Search

{% tabs %}
{% tab title="HTML" %}

```markup
<pg-select-fx style="width: 110px" [(ngModel)]="selectedOptionCS" [PlaceHolder]="'Select'" AllowClear>
    <pg-selectfx-option
    *ngFor="let option of csoptions"
    [Label]="option.label"
    [Value]="option"
    [Disabled]="option.disabled">
    </pg-selectfx-option>
</pg-select-fx>
```

{% endtab %}

{% tab title="Typescript" %}

```typescript
csoptions = [
    { value: 'Web-safe', label: 'Web-safe' },
    { value: 'Helvetica', label: 'Helvetica' },
    { value: 'SegeoUI', label: 'SegeoUI' }
];
selectedOptionCS;
```

{% endtab %}
{% endtabs %}

## API

| parameter   | Instructions                                                                     | Types of  | Defaults |
| ----------- | -------------------------------------------------------------------------------- | --------- | -------- |
| AllowClear  | When this attribute is added, it supports clearing, and the radio mode is valid. | attribute | -        |
| PlaceHolder | Select box default text                                                          | String    | no       |

## Options API

| parameter       | Instructions                                                  | Types of    | Defaults |
| --------------- | ------------------------------------------------------------- | ----------- | -------- |
| Label           | Display option content for display                            | String      |          |
| #OptionTemplate | Used to customize the display of the drop-down section option | of-template |          |
| Disabled        | Is it disabled                                                | Boolean     | false    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pages.revox.io/angular/forms/select-fx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
